package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2018-07-13.
 *
 * @author jlutt
 */
@SuppressWarnings("unused")
public class Role extends BaseEntity {

    @Comment("")
    @RColumn("id")
    private long id;

    @Comment("角色名称")
    @RColumn("rolename")
    private String roleName;

    @Comment("排序")
    @RColumn("sortnum")
    private int sortNum;

    @Comment("状态")
    @RColumn("status")
    private int status;

    @Comment("备注")
    @RColumn("remark")
    private String remark;

    @Comment("菜单")
    @RColumn("menuids")
    private String menuIds;

    @Comment("审核")
    @RColumn("checked")
    private String checked;

    @Comment("系统内置标记--内置角色不允许修改")
    @RColumn("systemflag")
    private int systemFlag;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public int getSortNum() {
        return sortNum;
    }

    public void setSortNum(int sortNum) {
        this.sortNum = sortNum;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getMenuIds() {
        return menuIds;
    }

    public void setMenuIds(String menuIds) {
        this.menuIds = menuIds;
    }

    public String getChecked() {
        return checked;
    }

    public void setChecked(String checked) {
        this.checked = checked;
    }

    public int getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(int systemFlag) {
        this.systemFlag = systemFlag;
    }
}
